View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/libgcrypt20
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
importer/ubuntu/dsc 2019-04-26 00:11:06 UTC 2019-04-26
DSC file for 1.8.4-5ubuntu1

Author: Ubuntu Git Importer
Author Date: 2019-04-26 00:11:06 UTC

DSC file for 1.8.4-5ubuntu1

ubuntu/devel 2019-04-23 09:53:14 UTC 2019-04-23
Import patches-unapplied version 1.8.4-5ubuntu1 to ubuntu/eoan-proposed

Author: Julian Andres Klode
Author Date: 2019-04-23 09:41:31 UTC

Import patches-unapplied version 1.8.4-5ubuntu1 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 9758c4deaa7dafa3e2eac20936f7ffb2dd487432

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Fix spelling-error-in-patch-description "Decription" -> "Description"

ubuntu/eoan 2019-04-23 09:53:14 UTC 2019-04-23
Import patches-unapplied version 1.8.4-5ubuntu1 to ubuntu/eoan-proposed

Author: Julian Andres Klode
Author Date: 2019-04-23 09:41:31 UTC

Import patches-unapplied version 1.8.4-5ubuntu1 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 9758c4deaa7dafa3e2eac20936f7ffb2dd487432

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Fix spelling-error-in-patch-description "Decription" -> "Description"

ubuntu/eoan-devel 2019-04-23 09:53:14 UTC 2019-04-23
Import patches-unapplied version 1.8.4-5ubuntu1 to ubuntu/eoan-proposed

Author: Julian Andres Klode
Author Date: 2019-04-23 09:41:31 UTC

Import patches-unapplied version 1.8.4-5ubuntu1 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 9758c4deaa7dafa3e2eac20936f7ffb2dd487432

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Fix spelling-error-in-patch-description "Decription" -> "Description"

ubuntu/eoan-proposed 2019-04-23 09:53:14 UTC 2019-04-23
Import patches-unapplied version 1.8.4-5ubuntu1 to ubuntu/eoan-proposed

Author: Julian Andres Klode
Author Date: 2019-04-23 09:41:31 UTC

Import patches-unapplied version 1.8.4-5ubuntu1 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 9758c4deaa7dafa3e2eac20936f7ffb2dd487432

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Fix spelling-error-in-patch-description "Decription" -> "Description"

applied/ubuntu/eoan-proposed 2019-04-23 09:53:14 UTC 2019-04-23
Import patches-applied version 1.8.4-5ubuntu1 to applied/ubuntu/eoan-proposed

Author: Julian Andres Klode
Author Date: 2019-04-23 09:41:31 UTC

Import patches-applied version 1.8.4-5ubuntu1 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 9a7552bb57027356d9cc49d257f0f40805608664
Unapplied parent: 126d7651da63af06377326010f362de41606aca6

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Fix spelling-error-in-patch-description "Decription" -> "Description"

applied/ubuntu/eoan-devel 2019-04-23 09:53:14 UTC 2019-04-23
Import patches-applied version 1.8.4-5ubuntu1 to applied/ubuntu/eoan-proposed

Author: Julian Andres Klode
Author Date: 2019-04-23 09:41:31 UTC

Import patches-applied version 1.8.4-5ubuntu1 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 9a7552bb57027356d9cc49d257f0f40805608664
Unapplied parent: 126d7651da63af06377326010f362de41606aca6

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Fix spelling-error-in-patch-description "Decription" -> "Description"

applied/ubuntu/eoan 2019-04-23 09:53:14 UTC 2019-04-23
Import patches-applied version 1.8.4-5ubuntu1 to applied/ubuntu/eoan-proposed

Author: Julian Andres Klode
Author Date: 2019-04-23 09:41:31 UTC

Import patches-applied version 1.8.4-5ubuntu1 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 9a7552bb57027356d9cc49d257f0f40805608664
Unapplied parent: 126d7651da63af06377326010f362de41606aca6

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Fix spelling-error-in-patch-description "Decription" -> "Description"

applied/ubuntu/devel 2019-04-23 09:53:14 UTC 2019-04-23
Import patches-applied version 1.8.4-5ubuntu1 to applied/ubuntu/eoan-proposed

Author: Julian Andres Klode
Author Date: 2019-04-23 09:41:31 UTC

Import patches-applied version 1.8.4-5ubuntu1 to applied/ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 9a7552bb57027356d9cc49d257f0f40805608664
Unapplied parent: 126d7651da63af06377326010f362de41606aca6

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Fix spelling-error-in-patch-description "Decription" -> "Description"

importer/debian/dsc 2019-01-20 22:39:29 UTC 2019-01-20
DSC file for 1.8.4-5

Author: Ubuntu Git Importer
Author Date: 2019-01-20 22:39:29 UTC

DSC file for 1.8.4-5

debian/buster 2019-01-20 22:37:27 UTC 2019-01-20
Import patches-unapplied version 1.8.4-5 to debian/sid

Author: Andreas Metzler
Author Date: 2019-01-20 13:47:23 UTC

Import patches-unapplied version 1.8.4-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8d465cc0ac92c1b9b88250fe6075438a985150c1

New changelog entries:
  * 30_doc-Fix-library-initialization-examples.patch from upstream
    LIBGCRYPT-1.8-BRANCH: Stop suggesting gcry_check_version (GCRYPT_VERSION)
    in documentation. Add some touch magic to still allow building without
    makeinfo. See #914009
  * [lintian] Minimize upstream/signing-key.asc.
  * Use dh v11 compatibility level.

debian/sid 2019-01-20 22:37:27 UTC 2019-01-20
Import patches-unapplied version 1.8.4-5 to debian/sid

Author: Andreas Metzler
Author Date: 2019-01-20 13:47:23 UTC

Import patches-unapplied version 1.8.4-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8d465cc0ac92c1b9b88250fe6075438a985150c1

New changelog entries:
  * 30_doc-Fix-library-initialization-examples.patch from upstream
    LIBGCRYPT-1.8-BRANCH: Stop suggesting gcry_check_version (GCRYPT_VERSION)
    in documentation. Add some touch magic to still allow building without
    makeinfo. See #914009
  * [lintian] Minimize upstream/signing-key.asc.
  * Use dh v11 compatibility level.

applied/debian/sid 2019-01-20 22:37:27 UTC 2019-01-20
Import patches-applied version 1.8.4-5 to applied/debian/sid

Author: Andreas Metzler
Author Date: 2019-01-20 13:47:23 UTC

Import patches-applied version 1.8.4-5 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: b6d8c9d9284e8afb5ac2da3ee644eaaa1d4dde73
Unapplied parent: 65a3726e9602fb30d84026031f6c9de845922714

New changelog entries:
  * 30_doc-Fix-library-initialization-examples.patch from upstream
    LIBGCRYPT-1.8-BRANCH: Stop suggesting gcry_check_version (GCRYPT_VERSION)
    in documentation. Add some touch magic to still allow building without
    makeinfo. See #914009
  * [lintian] Minimize upstream/signing-key.asc.
  * Use dh v11 compatibility level.

applied/debian/buster 2019-01-20 22:37:27 UTC 2019-01-20
Import patches-applied version 1.8.4-5 to applied/debian/sid

Author: Andreas Metzler
Author Date: 2019-01-20 13:47:23 UTC

Import patches-applied version 1.8.4-5 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: b6d8c9d9284e8afb5ac2da3ee644eaaa1d4dde73
Unapplied parent: 65a3726e9602fb30d84026031f6c9de845922714

New changelog entries:
  * 30_doc-Fix-library-initialization-examples.patch from upstream
    LIBGCRYPT-1.8-BRANCH: Stop suggesting gcry_check_version (GCRYPT_VERSION)
    in documentation. Add some touch magic to still allow building without
    makeinfo. See #914009
  * [lintian] Minimize upstream/signing-key.asc.
  * Use dh v11 compatibility level.

ubuntu/disco-proposed 2018-11-12 10:36:09 UTC 2018-11-12
Import patches-unapplied version 1.8.4-3ubuntu1 to ubuntu/disco-proposed

Author: Julian Andres Klode
Author Date: 2018-11-12 10:24:05 UTC

Import patches-unapplied version 1.8.4-3ubuntu1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: e6f5b418e2ea0b217a910f6cccac091a56d64162

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

ubuntu/disco 2018-11-12 10:36:09 UTC 2018-11-12
Import patches-unapplied version 1.8.4-3ubuntu1 to ubuntu/disco-proposed

Author: Julian Andres Klode
Author Date: 2018-11-12 10:24:05 UTC

Import patches-unapplied version 1.8.4-3ubuntu1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: e6f5b418e2ea0b217a910f6cccac091a56d64162

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

applied/ubuntu/disco 2018-11-12 10:36:09 UTC 2018-11-12
Import patches-applied version 1.8.4-3ubuntu1 to applied/ubuntu/disco-proposed

Author: Julian Andres Klode
Author Date: 2018-11-12 10:24:05 UTC

Import patches-applied version 1.8.4-3ubuntu1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: afca17cfa03fb608488a861f47ee4d174f8b263e
Unapplied parent: ab1c0c1afd761a72eba71906a03ecb8cba8895d6

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

applied/ubuntu/disco-devel 2018-11-12 10:36:09 UTC 2018-11-12
Import patches-applied version 1.8.4-3ubuntu1 to applied/ubuntu/disco-proposed

Author: Julian Andres Klode
Author Date: 2018-11-12 10:24:05 UTC

Import patches-applied version 1.8.4-3ubuntu1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: afca17cfa03fb608488a861f47ee4d174f8b263e
Unapplied parent: ab1c0c1afd761a72eba71906a03ecb8cba8895d6

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

applied/ubuntu/disco-proposed 2018-11-12 10:36:09 UTC 2018-11-12
Import patches-applied version 1.8.4-3ubuntu1 to applied/ubuntu/disco-proposed

Author: Julian Andres Klode
Author Date: 2018-11-12 10:24:05 UTC

Import patches-applied version 1.8.4-3ubuntu1 to applied/ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: afca17cfa03fb608488a861f47ee4d174f8b263e
Unapplied parent: ab1c0c1afd761a72eba71906a03ecb8cba8895d6

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

ubuntu/disco-devel 2018-11-12 10:36:09 UTC 2018-11-12
Import patches-unapplied version 1.8.4-3ubuntu1 to ubuntu/disco-proposed

Author: Julian Andres Klode
Author Date: 2018-11-12 10:24:05 UTC

Import patches-unapplied version 1.8.4-3ubuntu1 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: e6f5b418e2ea0b217a910f6cccac091a56d64162

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

debian/experimental 2018-10-27 10:26:13 UTC 2018-10-27
Import patches-unapplied version 1.8.4-1 to debian/experimental

Author: Andreas Metzler
Author Date: 2018-10-27 05:45:13 UTC

Import patches-unapplied version 1.8.4-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 4fe5530e673373f0d746e9edcfef16ff1518b288

New changelog entries:
  * New upstream bugfix release.
    + Drop 40-*.patch.

applied/debian/experimental 2018-10-27 10:26:13 UTC 2018-10-27
Import patches-applied version 1.8.4-1 to applied/debian/experimental

Author: Andreas Metzler
Author Date: 2018-10-27 05:45:13 UTC

Import patches-applied version 1.8.4-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: 04fd589f89ac4ce1988083c417e89c2e7794cf8b
Unapplied parent: c1f7b023852b95aa827aa40d807081a410daf98f

New changelog entries:
  * New upstream bugfix release.
    + Drop 40-*.patch.

debian/stretch 2018-07-14 10:58:43 UTC 2018-07-14
Import patches-unapplied version 1.7.6-2+deb9u3 to debian/stretch

Author: Salvatore Bonaccorso
Author Date: 2018-06-15 09:58:05 UTC

Import patches-unapplied version 1.7.6-2+deb9u3 to debian/stretch

Imported using git-ubuntu import.

Changelog parent: dd6f1ee6d297efd567a623400fe940bbd4cfa449

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * ecc: Add blinding for ECDSA (CVE-2018-0495)

applied/debian/stretch 2018-07-14 10:58:43 UTC 2018-07-14
Import patches-applied version 1.7.6-2+deb9u3 to applied/debian/stretch

Author: Salvatore Bonaccorso
Author Date: 2018-06-15 09:58:05 UTC

Import patches-applied version 1.7.6-2+deb9u3 to applied/debian/stretch

Imported using git-ubuntu import.

Changelog parent: 968a5561277215c78478dd422568c5af4be765cc
Unapplied parent: d607a9ec283358994c802f7f52ba098e384d0314

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * ecc: Add blinding for ECDSA (CVE-2018-0495)

applied/ubuntu/cosmic 2018-07-10 12:18:18 UTC 2018-07-10
Import patches-applied version 1.8.3-1ubuntu1 to applied/ubuntu/cosmic-proposed

Author: Julian Andres Klode
Author Date: 2018-07-10 12:00:16 UTC

Import patches-applied version 1.8.3-1ubuntu1 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: f30f5b745baa3041f399776b59a9f3814f3906ba
Unapplied parent: cf19be174a2f1ba212e1073b9a79d7dfb5eb0cf9

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

ubuntu/cosmic-devel 2018-07-10 12:18:18 UTC 2018-07-10
Import patches-unapplied version 1.8.3-1ubuntu1 to ubuntu/cosmic-proposed

Author: Julian Andres Klode
Author Date: 2018-07-10 12:00:16 UTC

Import patches-unapplied version 1.8.3-1ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: d9cd194135e88869f20547f66cf0517c860f12ae

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

ubuntu/cosmic 2018-07-10 12:18:18 UTC 2018-07-10
Import patches-unapplied version 1.8.3-1ubuntu1 to ubuntu/cosmic-proposed

Author: Julian Andres Klode
Author Date: 2018-07-10 12:00:16 UTC

Import patches-unapplied version 1.8.3-1ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: d9cd194135e88869f20547f66cf0517c860f12ae

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

ubuntu/cosmic-proposed 2018-07-10 12:18:18 UTC 2018-07-10
Import patches-unapplied version 1.8.3-1ubuntu1 to ubuntu/cosmic-proposed

Author: Julian Andres Klode
Author Date: 2018-07-10 12:00:16 UTC

Import patches-unapplied version 1.8.3-1ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: d9cd194135e88869f20547f66cf0517c860f12ae

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

applied/ubuntu/cosmic-proposed 2018-07-10 12:18:18 UTC 2018-07-10
Import patches-applied version 1.8.3-1ubuntu1 to applied/ubuntu/cosmic-proposed

Author: Julian Andres Klode
Author Date: 2018-07-10 12:00:16 UTC

Import patches-applied version 1.8.3-1ubuntu1 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: f30f5b745baa3041f399776b59a9f3814f3906ba
Unapplied parent: cf19be174a2f1ba212e1073b9a79d7dfb5eb0cf9

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

applied/ubuntu/cosmic-devel 2018-07-10 12:18:18 UTC 2018-07-10
Import patches-applied version 1.8.3-1ubuntu1 to applied/ubuntu/cosmic-proposed

Author: Julian Andres Klode
Author Date: 2018-07-10 12:00:16 UTC

Import patches-applied version 1.8.3-1ubuntu1 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: f30f5b745baa3041f399776b59a9f3814f3906ba
Unapplied parent: cf19be174a2f1ba212e1073b9a79d7dfb5eb0cf9

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)

applied/ubuntu/xenial-security 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-applied version 1.6.5-2ubuntu0.5 to applied/ubuntu/xenial-secu...

Author: Marc Deslauriers
Author Date: 2018-06-18 13:30:10 UTC

Import patches-applied version 1.6.5-2ubuntu0.5 to applied/ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: dadd09553cd0a833b31988743e6d32900c1bad69
Unapplied parent: ac8bd9bc1b9d7284eff836a1ed6e775bd3a99634

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

ubuntu/xenial-security 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-unapplied version 1.6.5-2ubuntu0.5 to ubuntu/xenial-security

Author: Marc Deslauriers
Author Date: 2018-06-18 13:30:10 UTC

Import patches-unapplied version 1.6.5-2ubuntu0.5 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: 0f7a5a101a7f0c08139c2994591d4b1702ed7900

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

applied/ubuntu/artful-devel 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-applied version 1.7.8-2ubuntu1.1 to applied/ubuntu/artful-secu...

Author: Marc Deslauriers
Author Date: 2018-06-18 13:29:48 UTC

Import patches-applied version 1.7.8-2ubuntu1.1 to applied/ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: e048589255f0ff705da3a3486fa2d0a0a3d6a06e
Unapplied parent: 360617d8bf59b0b616dd0e03b2b782974c901f18

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

applied/ubuntu/artful-security 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-applied version 1.7.8-2ubuntu1.1 to applied/ubuntu/artful-secu...

Author: Marc Deslauriers
Author Date: 2018-06-18 13:29:48 UTC

Import patches-applied version 1.7.8-2ubuntu1.1 to applied/ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: e048589255f0ff705da3a3486fa2d0a0a3d6a06e
Unapplied parent: 360617d8bf59b0b616dd0e03b2b782974c901f18

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

applied/ubuntu/artful-updates 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-applied version 1.7.8-2ubuntu1.1 to applied/ubuntu/artful-secu...

Author: Marc Deslauriers
Author Date: 2018-06-18 13:29:48 UTC

Import patches-applied version 1.7.8-2ubuntu1.1 to applied/ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: e048589255f0ff705da3a3486fa2d0a0a3d6a06e
Unapplied parent: 360617d8bf59b0b616dd0e03b2b782974c901f18

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

applied/ubuntu/bionic-devel 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-applied version 1.8.1-4ubuntu1.1 to applied/ubuntu/bionic-secu...

Author: Marc Deslauriers
Author Date: 2018-06-18 13:28:30 UTC

Import patches-applied version 1.8.1-4ubuntu1.1 to applied/ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 77a591d9e50a83a861d03892847038f24d0c1c27
Unapplied parent: 33844001eba0ddfbbb27c7a8c58a25fc7fb10e02

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

ubuntu/xenial-updates 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-unapplied version 1.6.5-2ubuntu0.5 to ubuntu/xenial-security

Author: Marc Deslauriers
Author Date: 2018-06-18 13:30:10 UTC

Import patches-unapplied version 1.6.5-2ubuntu0.5 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: 0f7a5a101a7f0c08139c2994591d4b1702ed7900

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

applied/ubuntu/bionic-security 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-applied version 1.8.1-4ubuntu1.1 to applied/ubuntu/bionic-secu...

Author: Marc Deslauriers
Author Date: 2018-06-18 13:28:30 UTC

Import patches-applied version 1.8.1-4ubuntu1.1 to applied/ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 77a591d9e50a83a861d03892847038f24d0c1c27
Unapplied parent: 33844001eba0ddfbbb27c7a8c58a25fc7fb10e02

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

applied/ubuntu/bionic-updates 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-applied version 1.8.1-4ubuntu1.1 to applied/ubuntu/bionic-secu...

Author: Marc Deslauriers
Author Date: 2018-06-18 13:28:30 UTC

Import patches-applied version 1.8.1-4ubuntu1.1 to applied/ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 77a591d9e50a83a861d03892847038f24d0c1c27
Unapplied parent: 33844001eba0ddfbbb27c7a8c58a25fc7fb10e02

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

ubuntu/xenial-devel 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-unapplied version 1.6.5-2ubuntu0.5 to ubuntu/xenial-security

Author: Marc Deslauriers
Author Date: 2018-06-18 13:30:10 UTC

Import patches-unapplied version 1.6.5-2ubuntu0.5 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: 0f7a5a101a7f0c08139c2994591d4b1702ed7900

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

ubuntu/bionic-updates 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-unapplied version 1.8.1-4ubuntu1.1 to ubuntu/bionic-security

Author: Marc Deslauriers
Author Date: 2018-06-18 13:28:30 UTC

Import patches-unapplied version 1.8.1-4ubuntu1.1 to ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 0775432b6fc32d39945741f8be0e485cf0d0ba57

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

ubuntu/bionic-security 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-unapplied version 1.8.1-4ubuntu1.1 to ubuntu/bionic-security

Author: Marc Deslauriers
Author Date: 2018-06-18 13:28:30 UTC

Import patches-unapplied version 1.8.1-4ubuntu1.1 to ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 0775432b6fc32d39945741f8be0e485cf0d0ba57

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

ubuntu/bionic-devel 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-unapplied version 1.8.1-4ubuntu1.1 to ubuntu/bionic-security

Author: Marc Deslauriers
Author Date: 2018-06-18 13:28:30 UTC

Import patches-unapplied version 1.8.1-4ubuntu1.1 to ubuntu/bionic-security

Imported using git-ubuntu import.

Changelog parent: 0775432b6fc32d39945741f8be0e485cf0d0ba57

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

ubuntu/artful-updates 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-unapplied version 1.7.8-2ubuntu1.1 to ubuntu/artful-security

Author: Marc Deslauriers
Author Date: 2018-06-18 13:29:48 UTC

Import patches-unapplied version 1.7.8-2ubuntu1.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: cc505eb188bc07f258071c0f46c6a334c9f11bb5

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

ubuntu/artful-security 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-unapplied version 1.7.8-2ubuntu1.1 to ubuntu/artful-security

Author: Marc Deslauriers
Author Date: 2018-06-18 13:29:48 UTC

Import patches-unapplied version 1.7.8-2ubuntu1.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: cc505eb188bc07f258071c0f46c6a334c9f11bb5

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

ubuntu/artful-devel 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-unapplied version 1.7.8-2ubuntu1.1 to ubuntu/artful-security

Author: Marc Deslauriers
Author Date: 2018-06-18 13:29:48 UTC

Import patches-unapplied version 1.7.8-2ubuntu1.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: cc505eb188bc07f258071c0f46c6a334c9f11bb5

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

applied/ubuntu/xenial-devel 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-applied version 1.6.5-2ubuntu0.5 to applied/ubuntu/xenial-secu...

Author: Marc Deslauriers
Author Date: 2018-06-18 13:30:10 UTC

Import patches-applied version 1.6.5-2ubuntu0.5 to applied/ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: dadd09553cd0a833b31988743e6d32900c1bad69
Unapplied parent: ac8bd9bc1b9d7284eff836a1ed6e775bd3a99634

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

applied/ubuntu/xenial-updates 2018-06-19 15:13:12 UTC 2018-06-19
Import patches-applied version 1.6.5-2ubuntu0.5 to applied/ubuntu/xenial-secu...

Author: Marc Deslauriers
Author Date: 2018-06-18 13:30:10 UTC

Import patches-applied version 1.6.5-2ubuntu0.5 to applied/ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: dadd09553cd0a833b31988743e6d32900c1bad69
Unapplied parent: ac8bd9bc1b9d7284eff836a1ed6e775bd3a99634

New changelog entries:
  * SECURITY UPDATE: memory-cache side-channel attack on ECDSA signatures
    - debian/patches/CVE-2018-0495.patch: add blinding for ECDSA in
      cipher/ecc-ecdsa.c.
    - CVE-2018-0495

importer/ubuntu/pristine-tar 2018-03-06 06:14:10 UTC 2018-03-06
pristine-tar data for libgcrypt20_1.8.1.orig.tar.bz2

Author: Ubuntu Git Importer
Author Date: 2018-03-06 06:14:10 UTC

pristine-tar data for libgcrypt20_1.8.1.orig.tar.bz2

importer/debian/pristine-tar 2018-03-06 06:00:05 UTC 2018-03-06
pristine-tar data for libgcrypt20_1.8.2.orig.tar.bz2

Author: Ubuntu Git Importer
Author Date: 2018-03-06 06:00:05 UTC

pristine-tar data for libgcrypt20_1.8.2.orig.tar.bz2

applied/ubuntu/xenial-proposed 2018-02-21 16:58:51 UTC 2018-02-21
Import patches-applied version 1.6.5-2ubuntu0.4 to applied/ubuntu/xenial-prop...

Author: Vineetha Kamath
Author Date: 2018-02-16 18:31:19 UTC

Import patches-applied version 1.6.5-2ubuntu0.4 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: feb3a49a9689074d1366128d370fac69610bd04e
Unapplied parent: 20fa397724a3d63e796c3eb911fade49511d8415

New changelog entries:
  * Disable the library reading /proc/sys/crypto/fips_enabled file
    and going into FIPS mode. This fixes a hang on boot when using a
    FIPS-enabled kernel with encrypted installations (LP: #1748310)
    - debian/patches/disable_fips_enabled_read.patch

ubuntu/xenial-proposed 2018-02-21 16:58:51 UTC 2018-02-21
Import patches-unapplied version 1.6.5-2ubuntu0.4 to ubuntu/xenial-proposed

Author: Vineetha Kamath
Author Date: 2018-02-16 18:31:19 UTC

Import patches-unapplied version 1.6.5-2ubuntu0.4 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: d3c2d743605d8e48c6458eeb569aaf9b3653f7b6

New changelog entries:
  * Disable the library reading /proc/sys/crypto/fips_enabled file
    and going into FIPS mode. This fixes a hang on boot when using a
    FIPS-enabled kernel with encrypted installations (LP: #1748310)
    - debian/patches/disable_fips_enabled_read.patch

ubuntu/bionic-proposed 2018-02-20 16:48:41 UTC 2018-02-20
Import patches-unapplied version 1.8.1-4ubuntu1 to ubuntu/bionic-proposed

Author: Vineetha Kamath
Author Date: 2018-02-16 18:45:04 UTC

Import patches-unapplied version 1.8.1-4ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: a4eaf7d43c6b401070741b795f0d5c94d0ff18c6

New changelog entries:
  * Disable the library reading /proc/sys/crypto/fips_enabled file
    and going into FIPS mode. libgcrypt is not a FIPS certified library.
    (LP: #1748310)
    - debian/patches/disable_fips_enabled_read.patch

applied/ubuntu/bionic 2018-02-20 16:48:41 UTC 2018-02-20
Import patches-applied version 1.8.1-4ubuntu1 to applied/ubuntu/bionic-proposed

Author: Vineetha Kamath
Author Date: 2018-02-16 18:45:04 UTC

Import patches-applied version 1.8.1-4ubuntu1 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: d3f68ccf2725d19d54937cb5b7f4df7a8c0f743c
Unapplied parent: 73fb6ae753e9d273e0ea1ccae89de04f0b2b71e7

New changelog entries:
  * Disable the library reading /proc/sys/crypto/fips_enabled file
    and going into FIPS mode. libgcrypt is not a FIPS certified library.
    (LP: #1748310)
    - debian/patches/disable_fips_enabled_read.patch

applied/ubuntu/bionic-proposed 2018-02-20 16:48:41 UTC 2018-02-20
Import patches-applied version 1.8.1-4ubuntu1 to applied/ubuntu/bionic-proposed

Author: Vineetha Kamath
Author Date: 2018-02-16 18:45:04 UTC

Import patches-applied version 1.8.1-4ubuntu1 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: d3f68ccf2725d19d54937cb5b7f4df7a8c0f743c
Unapplied parent: 73fb6ae753e9d273e0ea1ccae89de04f0b2b71e7

New changelog entries:
  * Disable the library reading /proc/sys/crypto/fips_enabled file
    and going into FIPS mode. libgcrypt is not a FIPS certified library.
    (LP: #1748310)
    - debian/patches/disable_fips_enabled_read.patch

ubuntu/bionic 2018-02-20 16:48:41 UTC 2018-02-20
Import patches-unapplied version 1.8.1-4ubuntu1 to ubuntu/bionic-proposed

Author: Vineetha Kamath
Author Date: 2018-02-16 18:45:04 UTC

Import patches-unapplied version 1.8.1-4ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: a4eaf7d43c6b401070741b795f0d5c94d0ff18c6

New changelog entries:
  * Disable the library reading /proc/sys/crypto/fips_enabled file
    and going into FIPS mode. libgcrypt is not a FIPS certified library.
    (LP: #1748310)
    - debian/patches/disable_fips_enabled_read.patch

applied/ubuntu/zesty-security 2017-09-14 16:53:24 UTC 2017-09-14
Import patches-applied version 1.7.6-1ubuntu0.2 to applied/ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-09-14 11:12:13 UTC

Import patches-applied version 1.7.6-1ubuntu0.2 to applied/ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 4ff379cb68b47ad8ce20d231c181015ab3c7fad4
Unapplied parent: c35b5db1ce72ab20016b86c12ab93f9ff914bf3b

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

applied/ubuntu/zesty-updates 2017-09-14 16:53:24 UTC 2017-09-14
Import patches-applied version 1.7.6-1ubuntu0.2 to applied/ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-09-14 11:12:13 UTC

Import patches-applied version 1.7.6-1ubuntu0.2 to applied/ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 4ff379cb68b47ad8ce20d231c181015ab3c7fad4
Unapplied parent: c35b5db1ce72ab20016b86c12ab93f9ff914bf3b

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

applied/ubuntu/zesty-devel 2017-09-14 16:53:24 UTC 2017-09-14
Import patches-applied version 1.7.6-1ubuntu0.2 to applied/ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-09-14 11:12:13 UTC

Import patches-applied version 1.7.6-1ubuntu0.2 to applied/ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 4ff379cb68b47ad8ce20d231c181015ab3c7fad4
Unapplied parent: c35b5db1ce72ab20016b86c12ab93f9ff914bf3b

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

ubuntu/zesty-devel 2017-09-14 16:53:24 UTC 2017-09-14
Import patches-unapplied version 1.7.6-1ubuntu0.2 to ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-09-14 11:12:13 UTC

Import patches-unapplied version 1.7.6-1ubuntu0.2 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 76f681c213b4efebf9107a3124869299235d72b7

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

ubuntu/zesty-updates 2017-09-14 16:53:24 UTC 2017-09-14
Import patches-unapplied version 1.7.6-1ubuntu0.2 to ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-09-14 11:12:13 UTC

Import patches-unapplied version 1.7.6-1ubuntu0.2 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 76f681c213b4efebf9107a3124869299235d72b7

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

ubuntu/zesty-security 2017-09-14 16:53:24 UTC 2017-09-14
Import patches-unapplied version 1.7.6-1ubuntu0.2 to ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-09-14 11:12:13 UTC

Import patches-unapplied version 1.7.6-1ubuntu0.2 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 76f681c213b4efebf9107a3124869299235d72b7

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

applied/ubuntu/artful 2017-09-14 14:33:29 UTC 2017-09-14
Import patches-applied version 1.7.8-2ubuntu1 to applied/ubuntu/artful-proposed

Author: Marc Deslauriers
Author Date: 2017-09-14 11:14:32 UTC

Import patches-applied version 1.7.8-2ubuntu1 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 6828f06cd531c86b402d4305d46152130c00be34
Unapplied parent: 8350b288806f9a3ddc88fa80877f5f8ed1b15689

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

applied/ubuntu/artful-proposed 2017-09-14 14:33:29 UTC 2017-09-14
Import patches-applied version 1.7.8-2ubuntu1 to applied/ubuntu/artful-proposed

Author: Marc Deslauriers
Author Date: 2017-09-14 11:14:32 UTC

Import patches-applied version 1.7.8-2ubuntu1 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 6828f06cd531c86b402d4305d46152130c00be34
Unapplied parent: 8350b288806f9a3ddc88fa80877f5f8ed1b15689

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

ubuntu/artful 2017-09-14 14:33:29 UTC 2017-09-14
Import patches-unapplied version 1.7.8-2ubuntu1 to ubuntu/artful-proposed

Author: Marc Deslauriers
Author Date: 2017-09-14 11:14:32 UTC

Import patches-unapplied version 1.7.8-2ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 7bc9486f3f1e7c83d406db8a6834ceaf430c1705

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

ubuntu/artful-proposed 2017-09-14 14:33:29 UTC 2017-09-14
Import patches-unapplied version 1.7.8-2ubuntu1 to ubuntu/artful-proposed

Author: Marc Deslauriers
Author Date: 2017-09-14 11:14:32 UTC

Import patches-unapplied version 1.7.8-2ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 7bc9486f3f1e7c83d406db8a6834ceaf430c1705

New changelog entries:
  * SECURITY UPDATE: Curve25519 side-channel attack
    - debian/patches/CVE-2017-0379.patch: add input validation for X25519
      to cipher/ecc.c, mpi/ec.c, src/mpi.h.
    - CVE-2017-0379

applied/debian/jessie 2017-07-22 17:22:16 UTC 2017-07-22
Import patches-applied version 1.6.3-2+deb8u4 to applied/debian/jessie

Author: Andreas Metzler
Author Date: 2017-07-01 09:53:07 UTC

Import patches-applied version 1.6.3-2+deb8u4 to applied/debian/jessie

Imported using git-ubuntu import.

Changelog parent: 3353712ea996dd24a335eb1b3f0c6a276bfa99db
Unapplied parent: 2b7da30fa4679de2a680ff7f1715ec85edc9f1ea

New changelog entries:
  * 22_CVE-2017-752*.patch from upstream 1.7.8 release: Mitigate a
    flush+reload side-channel attack on RSA secret keys dubbed "Sliding right
    into disaster". For details see <https://eprint.iacr.org/2017/627>.
    [CVE-2017-7526]
  * Non-maintainer upload by the Security Team.
  * ecc: Store EdDSA session key in secure memory (CVE-2017-9526)
  * secmem: Fix SEGV and stat calculation

debian/jessie 2017-07-22 17:22:16 UTC 2017-07-22
Import patches-unapplied version 1.6.3-2+deb8u4 to debian/jessie

Author: Andreas Metzler
Author Date: 2017-07-01 09:53:07 UTC

Import patches-unapplied version 1.6.3-2+deb8u4 to debian/jessie

Imported using git-ubuntu import.

Changelog parent: 6440c5e0a0c4a0a40e6b281938b37edce9dc9aed

New changelog entries:
  * 22_CVE-2017-752*.patch from upstream 1.7.8 release: Mitigate a
    flush+reload side-channel attack on RSA secret keys dubbed "Sliding right
    into disaster". For details see <https://eprint.iacr.org/2017/627>.
    [CVE-2017-7526]
  * Non-maintainer upload by the Security Team.
  * ecc: Store EdDSA session key in secure memory (CVE-2017-9526)
  * secmem: Fix SEGV and stat calculation

applied/ubuntu/yakkety-updates 2017-07-03 18:38:27 UTC 2017-07-03
Import patches-applied version 1.7.2-2ubuntu1.1 to applied/ubuntu/yakkety-sec...

Author: Marc Deslauriers
Author Date: 2017-07-03 12:15:20 UTC

Import patches-applied version 1.7.2-2ubuntu1.1 to applied/ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 47ae1b139934825f98a9ac8da35a065636e7a6b2
Unapplied parent: 45b5928817fc69503ebdb48b0691c2e9f4df762f

New changelog entries:
  * SECURITY UPDATE: full RSA key recovery via side-channel attack
    - debian/patches/CVE-2017-7526-1.patch: simplify loop in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-2.patch: use same computation for square
      and multiply in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-3.patch: add exponent blinding in
      cipher/rsa.c.
    - debian/patches/CVE-2017-7526-4.patch: add free to cipher/rsa.c.
    - debian/patches/CVE-2017-7526-5.patch: add free to cipher/rsa.c.
    - CVE-2017-7526
  * SECURITY UPDATE: EdDSA key recovery via side-channel attack
    - debian/patches/CVE-2017-9526-1.patch: store EdDSA session key in
      secure memory in cipher/ecc-eddsa.c.
    - debian/patches/CVE-2017-9526-2.patch: fix SEGV and stat calculation
      src/secmem.c.
    - CVE-2017-9526

ubuntu/yakkety-devel 2017-07-03 18:38:27 UTC 2017-07-03
Import patches-unapplied version 1.7.2-2ubuntu1.1 to ubuntu/yakkety-security

Author: Marc Deslauriers
Author Date: 2017-07-03 12:15:20 UTC

Import patches-unapplied version 1.7.2-2ubuntu1.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 8881b64674922419575560aad0ca524f6dce454c

New changelog entries:
  * SECURITY UPDATE: full RSA key recovery via side-channel attack
    - debian/patches/CVE-2017-7526-1.patch: simplify loop in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-2.patch: use same computation for square
      and multiply in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-3.patch: add exponent blinding in
      cipher/rsa.c.
    - debian/patches/CVE-2017-7526-4.patch: add free to cipher/rsa.c.
    - debian/patches/CVE-2017-7526-5.patch: add free to cipher/rsa.c.
    - CVE-2017-7526
  * SECURITY UPDATE: EdDSA key recovery via side-channel attack
    - debian/patches/CVE-2017-9526-1.patch: store EdDSA session key in
      secure memory in cipher/ecc-eddsa.c.
    - debian/patches/CVE-2017-9526-2.patch: fix SEGV and stat calculation
      src/secmem.c.
    - CVE-2017-9526

applied/ubuntu/yakkety-security 2017-07-03 18:38:27 UTC 2017-07-03
Import patches-applied version 1.7.2-2ubuntu1.1 to applied/ubuntu/yakkety-sec...

Author: Marc Deslauriers
Author Date: 2017-07-03 12:15:20 UTC

Import patches-applied version 1.7.2-2ubuntu1.1 to applied/ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 47ae1b139934825f98a9ac8da35a065636e7a6b2
Unapplied parent: 45b5928817fc69503ebdb48b0691c2e9f4df762f

New changelog entries:
  * SECURITY UPDATE: full RSA key recovery via side-channel attack
    - debian/patches/CVE-2017-7526-1.patch: simplify loop in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-2.patch: use same computation for square
      and multiply in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-3.patch: add exponent blinding in
      cipher/rsa.c.
    - debian/patches/CVE-2017-7526-4.patch: add free to cipher/rsa.c.
    - debian/patches/CVE-2017-7526-5.patch: add free to cipher/rsa.c.
    - CVE-2017-7526
  * SECURITY UPDATE: EdDSA key recovery via side-channel attack
    - debian/patches/CVE-2017-9526-1.patch: store EdDSA session key in
      secure memory in cipher/ecc-eddsa.c.
    - debian/patches/CVE-2017-9526-2.patch: fix SEGV and stat calculation
      src/secmem.c.
    - CVE-2017-9526

ubuntu/yakkety-updates 2017-07-03 18:38:27 UTC 2017-07-03
Import patches-unapplied version 1.7.2-2ubuntu1.1 to ubuntu/yakkety-security

Author: Marc Deslauriers
Author Date: 2017-07-03 12:15:20 UTC

Import patches-unapplied version 1.7.2-2ubuntu1.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 8881b64674922419575560aad0ca524f6dce454c

New changelog entries:
  * SECURITY UPDATE: full RSA key recovery via side-channel attack
    - debian/patches/CVE-2017-7526-1.patch: simplify loop in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-2.patch: use same computation for square
      and multiply in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-3.patch: add exponent blinding in
      cipher/rsa.c.
    - debian/patches/CVE-2017-7526-4.patch: add free to cipher/rsa.c.
    - debian/patches/CVE-2017-7526-5.patch: add free to cipher/rsa.c.
    - CVE-2017-7526
  * SECURITY UPDATE: EdDSA key recovery via side-channel attack
    - debian/patches/CVE-2017-9526-1.patch: store EdDSA session key in
      secure memory in cipher/ecc-eddsa.c.
    - debian/patches/CVE-2017-9526-2.patch: fix SEGV and stat calculation
      src/secmem.c.
    - CVE-2017-9526

ubuntu/yakkety-security 2017-07-03 18:38:27 UTC 2017-07-03
Import patches-unapplied version 1.7.2-2ubuntu1.1 to ubuntu/yakkety-security

Author: Marc Deslauriers
Author Date: 2017-07-03 12:15:20 UTC

Import patches-unapplied version 1.7.2-2ubuntu1.1 to ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 8881b64674922419575560aad0ca524f6dce454c

New changelog entries:
  * SECURITY UPDATE: full RSA key recovery via side-channel attack
    - debian/patches/CVE-2017-7526-1.patch: simplify loop in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-2.patch: use same computation for square
      and multiply in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-3.patch: add exponent blinding in
      cipher/rsa.c.
    - debian/patches/CVE-2017-7526-4.patch: add free to cipher/rsa.c.
    - debian/patches/CVE-2017-7526-5.patch: add free to cipher/rsa.c.
    - CVE-2017-7526
  * SECURITY UPDATE: EdDSA key recovery via side-channel attack
    - debian/patches/CVE-2017-9526-1.patch: store EdDSA session key in
      secure memory in cipher/ecc-eddsa.c.
    - debian/patches/CVE-2017-9526-2.patch: fix SEGV and stat calculation
      src/secmem.c.
    - CVE-2017-9526

applied/ubuntu/yakkety-devel 2017-07-03 18:38:27 UTC 2017-07-03
Import patches-applied version 1.7.2-2ubuntu1.1 to applied/ubuntu/yakkety-sec...

Author: Marc Deslauriers
Author Date: 2017-07-03 12:15:20 UTC

Import patches-applied version 1.7.2-2ubuntu1.1 to applied/ubuntu/yakkety-security

Imported using git-ubuntu import.

Changelog parent: 47ae1b139934825f98a9ac8da35a065636e7a6b2
Unapplied parent: 45b5928817fc69503ebdb48b0691c2e9f4df762f

New changelog entries:
  * SECURITY UPDATE: full RSA key recovery via side-channel attack
    - debian/patches/CVE-2017-7526-1.patch: simplify loop in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-2.patch: use same computation for square
      and multiply in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-3.patch: add exponent blinding in
      cipher/rsa.c.
    - debian/patches/CVE-2017-7526-4.patch: add free to cipher/rsa.c.
    - debian/patches/CVE-2017-7526-5.patch: add free to cipher/rsa.c.
    - CVE-2017-7526
  * SECURITY UPDATE: EdDSA key recovery via side-channel attack
    - debian/patches/CVE-2017-9526-1.patch: store EdDSA session key in
      secure memory in cipher/ecc-eddsa.c.
    - debian/patches/CVE-2017-9526-2.patch: fix SEGV and stat calculation
      src/secmem.c.
    - CVE-2017-9526

applied/ubuntu/zesty-proposed 2017-01-26 16:17:41 UTC 2017-01-26
Import patches-applied version 1.7.6-1 to applied/debian/sid

Author: Andreas Metzler
Author Date: 2017-01-26 10:58:32 UTC

Import patches-applied version 1.7.6-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 1ae419aa1606ccba4cd400a59c004f3ad4224e35
Unapplied parent: 54a91912b6d9b3d892070a5f676e8fff2ea83867

New changelog entries:
  * New upstream version, includes
    30_rijndael-ssse3-fix-counter-operand-from-read-only-to.patch.

applied/ubuntu/zesty 2017-01-26 16:17:41 UTC 2017-01-26
Import patches-applied version 1.7.6-1 to applied/debian/sid

Author: Andreas Metzler
Author Date: 2017-01-26 10:58:32 UTC

Import patches-applied version 1.7.6-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 1ae419aa1606ccba4cd400a59c004f3ad4224e35
Unapplied parent: 54a91912b6d9b3d892070a5f676e8fff2ea83867

New changelog entries:
  * New upstream version, includes
    30_rijndael-ssse3-fix-counter-operand-from-read-only-to.patch.

ubuntu/zesty-proposed 2017-01-26 16:17:41 UTC 2017-01-26
Import patches-unapplied version 1.7.6-1 to debian/sid

Author: Andreas Metzler
Author Date: 2017-01-26 10:58:32 UTC

Import patches-unapplied version 1.7.6-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0850ad3d9ffede6ba1eda58102a859275bb18fe7

New changelog entries:
  * New upstream version, includes
    30_rijndael-ssse3-fix-counter-operand-from-read-only-to.patch.

ubuntu/zesty 2017-01-26 16:17:41 UTC 2017-01-26
Import patches-unapplied version 1.7.6-1 to debian/sid

Author: Andreas Metzler
Author Date: 2017-01-26 10:58:32 UTC

Import patches-unapplied version 1.7.6-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0850ad3d9ffede6ba1eda58102a859275bb18fe7

New changelog entries:
  * New upstream version, includes
    30_rijndael-ssse3-fix-counter-operand-from-read-only-to.patch.

applied/ubuntu/yakkety-proposed 2016-08-17 18:46:12 UTC 2016-08-17
Import patches-applied version 1.7.2-2ubuntu1 to applied/ubuntu/yakkety-proposed

Author: Marc Deslauriers
Author Date: 2016-08-17 17:42:24 UTC

Import patches-applied version 1.7.2-2ubuntu1 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 94d7fcbdebdd0c39e03a11c62b1a2fcdd0e19160
Unapplied parent: 22db9308a960c82da5c19765fd80501a706899f0

New changelog entries:
  * SECURITY UPDATE: random number generator prediction
    - debian/patches/CVE-2016-6313-1.patch: improve the diagram showing the
      random mixing in random/random-csprng.c.
    - debian/patches/CVE-2016-6313-2.patch: hash continuous areas in the
      csprng pool in random/random-csprng.c.
    - CVE-2016-6313

applied/ubuntu/yakkety 2016-08-17 18:46:12 UTC 2016-08-17
Import patches-applied version 1.7.2-2ubuntu1 to applied/ubuntu/yakkety-proposed

Author: Marc Deslauriers
Author Date: 2016-08-17 17:42:24 UTC

Import patches-applied version 1.7.2-2ubuntu1 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 94d7fcbdebdd0c39e03a11c62b1a2fcdd0e19160
Unapplied parent: 22db9308a960c82da5c19765fd80501a706899f0

New changelog entries:
  * SECURITY UPDATE: random number generator prediction
    - debian/patches/CVE-2016-6313-1.patch: improve the diagram showing the
      random mixing in random/random-csprng.c.
    - debian/patches/CVE-2016-6313-2.patch: hash continuous areas in the
      csprng pool in random/random-csprng.c.
    - CVE-2016-6313

ubuntu/yakkety 2016-08-17 18:46:12 UTC 2016-08-17
Import patches-unapplied version 1.7.2-2ubuntu1 to ubuntu/yakkety-proposed

Author: Marc Deslauriers
Author Date: 2016-08-17 17:42:24 UTC

Import patches-unapplied version 1.7.2-2ubuntu1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: efd83578712d009dd6bc916f32e9599219440773

New changelog entries:
  * SECURITY UPDATE: random number generator prediction
    - debian/patches/CVE-2016-6313-1.patch: improve the diagram showing the
      random mixing in random/random-csprng.c.
    - debian/patches/CVE-2016-6313-2.patch: hash continuous areas in the
      csprng pool in random/random-csprng.c.
    - CVE-2016-6313

ubuntu/yakkety-proposed 2016-08-17 18:46:12 UTC 2016-08-17
Import patches-unapplied version 1.7.2-2ubuntu1 to ubuntu/yakkety-proposed

Author: Marc Deslauriers
Author Date: 2016-08-17 17:42:24 UTC

Import patches-unapplied version 1.7.2-2ubuntu1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: efd83578712d009dd6bc916f32e9599219440773

New changelog entries:
  * SECURITY UPDATE: random number generator prediction
    - debian/patches/CVE-2016-6313-1.patch: improve the diagram showing the
      random mixing in random/random-csprng.c.
    - debian/patches/CVE-2016-6313-2.patch: hash continuous areas in the
      csprng pool in random/random-csprng.c.
    - CVE-2016-6313

ubuntu/wily-updates 2016-02-15 17:59:17 UTC 2016-02-15
Import patches-unapplied version 1.6.3-2ubuntu1.1 to ubuntu/wily-security

Author: Marc Deslauriers
Author Date: 2016-02-10 15:59:23 UTC

Import patches-unapplied version 1.6.3-2ubuntu1.1 to ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: e010c16cad40ecf667fbda42bf656be7e69443ff

New changelog entries:
  * SECURITY UPDATE: side-channel attack on ECDH
    - debian/patches/CVE-2015-7511.patch: perform input validation and fix
      error paths in cipher/ecc.c, use constant-time multiplication in
      mpi/ec.c.
    - CVE-2015-7511

applied/ubuntu/wily-updates 2016-02-15 17:59:17 UTC 2016-02-15
Import patches-applied version 1.6.3-2ubuntu1.1 to applied/ubuntu/wily-security

Author: Marc Deslauriers
Author Date: 2016-02-10 15:59:23 UTC

Import patches-applied version 1.6.3-2ubuntu1.1 to applied/ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: d258f51c8c870ecc1f77399c4ab20d65d68d9e90
Unapplied parent: fa9928ab990e98e34f16e26fd9113ade6ec01026

New changelog entries:
  * SECURITY UPDATE: side-channel attack on ECDH
    - debian/patches/CVE-2015-7511.patch: perform input validation and fix
      error paths in cipher/ecc.c, use constant-time multiplication in
      mpi/ec.c.
    - CVE-2015-7511

ubuntu/wily-security 2016-02-15 17:59:17 UTC 2016-02-15
Import patches-unapplied version 1.6.3-2ubuntu1.1 to ubuntu/wily-security

Author: Marc Deslauriers
Author Date: 2016-02-10 15:59:23 UTC

Import patches-unapplied version 1.6.3-2ubuntu1.1 to ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: e010c16cad40ecf667fbda42bf656be7e69443ff

New changelog entries:
  * SECURITY UPDATE: side-channel attack on ECDH
    - debian/patches/CVE-2015-7511.patch: perform input validation and fix
      error paths in cipher/ecc.c, use constant-time multiplication in
      mpi/ec.c.
    - CVE-2015-7511

applied/ubuntu/wily-devel 2016-02-15 17:59:17 UTC 2016-02-15
Import patches-applied version 1.6.3-2ubuntu1.1 to applied/ubuntu/wily-security

Author: Marc Deslauriers
Author Date: 2016-02-10 15:59:23 UTC

Import patches-applied version 1.6.3-2ubuntu1.1 to applied/ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: d258f51c8c870ecc1f77399c4ab20d65d68d9e90
Unapplied parent: fa9928ab990e98e34f16e26fd9113ade6ec01026

New changelog entries:
  * SECURITY UPDATE: side-channel attack on ECDH
    - debian/patches/CVE-2015-7511.patch: perform input validation and fix
      error paths in cipher/ecc.c, use constant-time multiplication in
      mpi/ec.c.
    - CVE-2015-7511

applied/ubuntu/wily-security 2016-02-15 17:59:17 UTC 2016-02-15
Import patches-applied version 1.6.3-2ubuntu1.1 to applied/ubuntu/wily-security

Author: Marc Deslauriers
Author Date: 2016-02-10 15:59:23 UTC

Import patches-applied version 1.6.3-2ubuntu1.1 to applied/ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: d258f51c8c870ecc1f77399c4ab20d65d68d9e90
Unapplied parent: fa9928ab990e98e34f16e26fd9113ade6ec01026

New changelog entries:
  * SECURITY UPDATE: side-channel attack on ECDH
    - debian/patches/CVE-2015-7511.patch: perform input validation and fix
      error paths in cipher/ecc.c, use constant-time multiplication in
      mpi/ec.c.
    - CVE-2015-7511

ubuntu/wily-devel 2016-02-15 17:59:17 UTC 2016-02-15
Import patches-unapplied version 1.6.3-2ubuntu1.1 to ubuntu/wily-security

Author: Marc Deslauriers
Author Date: 2016-02-10 15:59:23 UTC

Import patches-unapplied version 1.6.3-2ubuntu1.1 to ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: e010c16cad40ecf667fbda42bf656be7e69443ff

New changelog entries:
  * SECURITY UPDATE: side-channel attack on ECDH
    - debian/patches/CVE-2015-7511.patch: perform input validation and fix
      error paths in cipher/ecc.c, use constant-time multiplication in
      mpi/ec.c.
    - CVE-2015-7511

ubuntu/xenial 2016-02-10 16:13:10 UTC 2016-02-10
Import patches-unapplied version 1.6.5-2 to debian/sid

Author: Andreas Metzler
Author Date: 2016-02-10 11:01:58 UTC

Import patches-unapplied version 1.6.5-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7cc2ac2027f48b18098748ce783d0d644a5cafdd

New changelog entries:
  * serial-tests was added in automake 1.12, add versioned b-d.
  * Upload to unstable.

applied/ubuntu/xenial 2016-02-10 16:13:10 UTC 2016-02-10
Import patches-applied version 1.6.5-2 to applied/debian/sid

Author: Andreas Metzler
Author Date: 2016-02-10 11:01:58 UTC

Import patches-applied version 1.6.5-2 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 59cd97c112e1080585eec9c84b6acd2d84a73653
Unapplied parent: a42e4de9b0824cee6802d278d7882005a6621e8e

New changelog entries:
  * serial-tests was added in automake 1.12, add versioned b-d.
  * Upload to unstable.

applied/ubuntu/wily-proposed 2015-05-21 12:43:33 UTC 2015-05-21
Import patches-applied version 1.6.3-2ubuntu1 to applied/ubuntu/wily-proposed

Author: Marc Deslauriers
Author Date: 2015-05-21 12:06:59 UTC

Import patches-applied version 1.6.3-2ubuntu1 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 3a7f191eb1434cafb6beb982ea300e67156c26de
Unapplied parent: 17b6a93fa91a7f02008e7b4dec0c00e94b7f32d5

New changelog entries:
  * Merge from Debian unstable, remaining changes:
    - debian/rules: Drop from -O3 to -O2 to work around FTBFS on ppc64el.

ubuntu/wily 2015-05-21 12:43:33 UTC 2015-05-21
Import patches-unapplied version 1.6.3-2ubuntu1 to ubuntu/wily-proposed

Author: Marc Deslauriers
Author Date: 2015-05-21 12:06:59 UTC

Import patches-unapplied version 1.6.3-2ubuntu1 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 759569b61af8a54ef84c1fa6862cf2472e956409

New changelog entries:
  * Merge from Debian unstable, remaining changes:
    - debian/rules: Drop from -O3 to -O2 to work around FTBFS on ppc64el.

ubuntu/wily-proposed 2015-05-21 12:43:33 UTC 2015-05-21
Import patches-unapplied version 1.6.3-2ubuntu1 to ubuntu/wily-proposed

Author: Marc Deslauriers
Author Date: 2015-05-21 12:06:59 UTC

Import patches-unapplied version 1.6.3-2ubuntu1 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 759569b61af8a54ef84c1fa6862cf2472e956409

New changelog entries:
  * Merge from Debian unstable, remaining changes:
    - debian/rules: Drop from -O3 to -O2 to work around FTBFS on ppc64el.

applied/ubuntu/wily 2015-05-21 12:43:33 UTC 2015-05-21
Import patches-applied version 1.6.3-2ubuntu1 to applied/ubuntu/wily-proposed

Author: Marc Deslauriers
Author Date: 2015-05-21 12:06:59 UTC

Import patches-applied version 1.6.3-2ubuntu1 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 3a7f191eb1434cafb6beb982ea300e67156c26de
Unapplied parent: 17b6a93fa91a7f02008e7b4dec0c00e94b7f32d5

New changelog entries:
  * Merge from Debian unstable, remaining changes:
    - debian/rules: Drop from -O3 to -O2 to work around FTBFS on ppc64el.

applied/ubuntu/trusty-updates 2015-04-01 13:43:50 UTC 2015-04-01
Import patches-applied version 1.6.1-2ubuntu1.14.04.1 to applied/ubuntu/trust...

Author: Marc Deslauriers
Author Date: 2015-03-26 11:25:12 UTC

Import patches-applied version 1.6.1-2ubuntu1.14.04.1 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 300bb473d9a4762fc5afb9f115d8ba59047e13f9
Unapplied parent: 5a8338a22033fb59e0b97f623096a0f4dd299516

New changelog entries:
  * SECURITY UPDATE: sidechannel attack on Elgamal
    - debian/patches/CVE-2014-3591.patch: use ciphertext blinding in
      cipher/elgamal.c.
    - CVE-2014-3591
  * SECURITY UPDATE: sidechannel attack via timing variations in mpi_powm
    - debian/patches/CVE-2015-0837.patch: avoid timing variations in
      mpi/mpi-pow.c, mpi/mpiutil.c, src/mpi.h.
    - CVE-2015-0837

applied/ubuntu/trusty-security 2015-04-01 13:43:50 UTC 2015-04-01
Import patches-applied version 1.6.1-2ubuntu1.14.04.1 to applied/ubuntu/trust...

Author: Marc Deslauriers
Author Date: 2015-03-26 11:25:12 UTC

Import patches-applied version 1.6.1-2ubuntu1.14.04.1 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 300bb473d9a4762fc5afb9f115d8ba59047e13f9
Unapplied parent: 5a8338a22033fb59e0b97f623096a0f4dd299516

New changelog entries:
  * SECURITY UPDATE: sidechannel attack on Elgamal
    - debian/patches/CVE-2014-3591.patch: use ciphertext blinding in
      cipher/elgamal.c.
    - CVE-2014-3591
  * SECURITY UPDATE: sidechannel attack via timing variations in mpi_powm
    - debian/patches/CVE-2015-0837.patch: avoid timing variations in
      mpi/mpi-pow.c, mpi/mpiutil.c, src/mpi.h.
    - CVE-2015-0837

applied/ubuntu/trusty-devel 2015-04-01 13:43:50 UTC 2015-04-01
Import patches-applied version 1.6.1-2ubuntu1.14.04.1 to applied/ubuntu/trust...

Author: Marc Deslauriers
Author Date: 2015-03-26 11:25:12 UTC

Import patches-applied version 1.6.1-2ubuntu1.14.04.1 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 300bb473d9a4762fc5afb9f115d8ba59047e13f9
Unapplied parent: 5a8338a22033fb59e0b97f623096a0f4dd299516

New changelog entries:
  * SECURITY UPDATE: sidechannel attack on Elgamal
    - debian/patches/CVE-2014-3591.patch: use ciphertext blinding in
      cipher/elgamal.c.
    - CVE-2014-3591
  * SECURITY UPDATE: sidechannel attack via timing variations in mpi_powm
    - debian/patches/CVE-2015-0837.patch: avoid timing variations in
      mpi/mpi-pow.c, mpi/mpiutil.c, src/mpi.h.
    - CVE-2015-0837

ubuntu/trusty-devel 2015-04-01 13:43:50 UTC 2015-04-01
Import patches-unapplied version 1.6.1-2ubuntu1.14.04.1 to ubuntu/trusty-secu...

Author: Marc Deslauriers
Author Date: 2015-03-26 11:25:12 UTC

Import patches-unapplied version 1.6.1-2ubuntu1.14.04.1 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: bc5ceb0d55368c6a4bf0da317c59bc2afa907f66

New changelog entries:
  * SECURITY UPDATE: sidechannel attack on Elgamal
    - debian/patches/CVE-2014-3591.patch: use ciphertext blinding in
      cipher/elgamal.c.
    - CVE-2014-3591
  * SECURITY UPDATE: sidechannel attack via timing variations in mpi_powm
    - debian/patches/CVE-2015-0837.patch: avoid timing variations in
      mpi/mpi-pow.c, mpi/mpiutil.c, src/mpi.h.
    - CVE-2015-0837

ubuntu/trusty-security 2015-04-01 13:43:50 UTC 2015-04-01
Import patches-unapplied version 1.6.1-2ubuntu1.14.04.1 to ubuntu/trusty-secu...

Author: Marc Deslauriers
Author Date: 2015-03-26 11:25:12 UTC

Import patches-unapplied version 1.6.1-2ubuntu1.14.04.1 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: bc5ceb0d55368c6a4bf0da317c59bc2afa907f66

New changelog entries:
  * SECURITY UPDATE: sidechannel attack on Elgamal
    - debian/patches/CVE-2014-3591.patch: use ciphertext blinding in
      cipher/elgamal.c.
    - CVE-2014-3591
  * SECURITY UPDATE: sidechannel attack via timing variations in mpi_powm
    - debian/patches/CVE-2015-0837.patch: avoid timing variations in
      mpi/mpi-pow.c, mpi/mpiutil.c, src/mpi.h.
    - CVE-2015-0837

ubuntu/trusty-updates 2015-04-01 13:43:50 UTC 2015-04-01
Import patches-unapplied version 1.6.1-2ubuntu1.14.04.1 to ubuntu/trusty-secu...

Author: Marc Deslauriers
Author Date: 2015-03-26 11:25:12 UTC

Import patches-unapplied version 1.6.1-2ubuntu1.14.04.1 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: bc5ceb0d55368c6a4bf0da317c59bc2afa907f66

New changelog entries:
  * SECURITY UPDATE: sidechannel attack on Elgamal
    - debian/patches/CVE-2014-3591.patch: use ciphertext blinding in
      cipher/elgamal.c.
    - CVE-2014-3591
  * SECURITY UPDATE: sidechannel attack via timing variations in mpi_powm
    - debian/patches/CVE-2015-0837.patch: avoid timing variations in
      mpi/mpi-pow.c, mpi/mpiutil.c, src/mpi.h.
    - CVE-2015-0837

1100 of 118 results

Other repositories

Name Last Modified
lp:ubuntu/+source/libgcrypt20 2019-04-29
11 of 1 result
You can't create new repositories for libgcrypt20 in Ubuntu.